commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jörg Schaible <joerg.schai...@swisspost.com>
Subject Re: [dbcp][all] package-import specs for osgi
Date Wed, 19 Aug 2015 14:37:32 GMT
Hi Phil,

Phil Steitz wrote:

> On 8/19/15 3:35 AM, Jörg Schaible wrote:
>> Hi Phil,
>>
>> Phil Steitz wrote:
>>
>>> Can I get someone with a little more osgi and maven knowledge to
>>> have a look at DBCP-445?  I would appreciate feedback on whether the
>>> suggested fix is a good idea and how to get maven to do it if it is.
> 
> Thanks, Jörg!
> 
> Now, the question is, is this the right thing to do?  Is 1.1 the
> right version to use?

Actually I have no idea. I grasp what the experts discuss in the linked 
conversation, but fixing the JDK is not an option here. >:)

In the end we declare only that commons-dbcp uses the transaction packages 
and prefers version 1.1.0. I am also not sure about the partial stuff. The 
reporter of DBCP-445 seems not to require them.

Every time I have to do something with OSGi, I am tempted to pull my hair 
out, especially if you have to "synchronize" a standard Maven build with 
OSGi dependency mgmt.

And I have to correct the property value from below: The '*' should be at 
the end of the list (acts like a catch all), otherwise we import those 
package twice.

Cheers,
Jörg


> 
> Phil
>> Here's at least the Maven part:
>>
>> ==================== %< ==================
>> $ svndiff
>> Index: pom.xml
>> ===================================================================
>> --- pom.xml     (revision 1696548)
>> +++ pom.xml     (working copy)
>> @@ -22,7 +22,7 @@
>>    <parent>
>>      <groupId>org.apache.commons</groupId>
>>      <artifactId>commons-parent</artifactId>
>> -    <version>34</version>
>> +    <version>37</version>
>>    </parent>
>>    <modelVersion>4.0.0</modelVersion>
>>    <groupId>org.apache.commons</groupId>
>> @@ -242,6 +242,8 @@
>>  
>>      <!-- Temporary fix to support Java 8 -->
>>      <commons.jacoco.version>0.7.4.201502262128</commons.jacoco.version>
>> +    <!-- See DBCP-445 -->
>> +
>> 
<commons.osgi.import>*,javax.transaction;version="1.1.0",javax.transaction.xa;version="1.1.0";partial=true;mandatory:=partial</commons.osgi.import>
>>    </properties>
>>  
>>    <build>
>> ==================== %< ==================
>>
>> Cheers,
>> Jörg
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
>> For additional commands, e-mail: dev-help@commons.apache.org
>>
>>



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message